package com.jy.system.model.table;


import com.jy.framework.mybatis.join.QueryColumn;
import com.jy.framework.mybatis.join.Table;
import com.jy.system.model.entity.SysDictType;

public class SysDictTypeTable extends Table<SysDictType> {

    public static SysDictTypeTable sys_dict_type = new SysDictTypeTable();
    public static SysDictTypeTable sdt = sys_dict_type.as("sdt");

    /**
     * 字典类型id
     */
    public QueryColumn id = this.field(SysDictType::getId);

    /**
     * 字典编码
     */
    public QueryColumn code = this.field(SysDictType::getCode);

    /**
     * 字典名称
     */
    public QueryColumn name = this.field(SysDictType::getName);

    /**
     * 是否系统内置 1是 0否
     */
    public QueryColumn builtin = this.field(SysDictType::getBuiltin);

    /**
     * 备注
     */
    public QueryColumn remark = this.field(SysDictType::getRemark);

    /**
     * 创建人
     */
    public QueryColumn createUser = this.field(SysDictType::getCreateUser);

    /**
     * 创建时间
     */
    public QueryColumn createTime = this.field(SysDictType::getCreateTime);

    /**
     * 更新人
     */
    public QueryColumn updateUser = this.field(SysDictType::getUpdateUser);

    /**
     * 更新时间
     */
    public QueryColumn updateTime = this.field(SysDictType::getUpdateTime);

    /**
     * 逻辑删除标记
     */
    public QueryColumn delFlag = this.field(SysDictType::getDelFlag);

    private SysDictTypeTable() {
        super(SysDictType.class);
    }

    private SysDictTypeTable(String alias) {
        super(SysDictType.class, alias);
    }

    public SysDictTypeTable as(String alias) {
        return new SysDictTypeTable(alias);
    }

}
